User Login    
 + Register
Bookmark and Share
  • Main navigation
Login
Username:

Password:

Remember me



Lost Password?

Register now!
Project: Proyecto eÑe
Summary   Homepage   News   Forums   Files   CVS  

Release Name: XOOPS 2.0.16

 

Notes
XOOPS 2.0.16 release notes (2006/11/12) ------------------------------------------------------------------------------ El equipo de desarrollo de XOOPS está encantado de presentarles el lanzamiento de XOOPS 2.0.16. Es una versión de mantenimiento en la que se corrigen numerosos errores. Leed el changelog completo para más detalles. Requerimientos del Sistema ----------------------------------- PHP Cualquier versión de PHP >= 4.3 (PHP 4.2.x puede valer pero no es oficialmente soportada) MySQL MySQL server 3.23+ Servidor Web Cualquier servidor que soporte la versión requerida de PHP (Recomendamos Apache) Descargar XOOPS ----------------------------------- Podrá obtener esta versión desde el repositorio oficial de sourcefoge.net. Disponible en los formatos .zip y .tgz. Instalando XOOPS ----------------------------------- 1. Copie el contenido del directorio htdocs/ a algún lugar accesible del servidor 2. Asegúrese de que mainfile.php, cache, templates_c y uploads sean escribibles 3. Acceda a través del navegador a /install/ incluido en el directorio htdocs/ copiado anteriormente a su servidor para inciar la instalación Actualizando desde versiones anteriores --------------------------------------- Actualizando desde 2.0.14/2.0.15 (manera fácil. Usando el parche de actualización) 1. Obtenga la versión adecuada del repositorio o de esxoops.com 2. Sobreescriba todo el contenido necesario 3. Acceda a <url.del.sitio>/upgrade/ desde el navegador 4. Siga las instrucciones para actualizar su base de datos 5. Elimine el directorio upgrade Actualizando desde XOOPS 2.0.14/2.0.15 (usando el paquete completo) 1. Desplace el directorio "upgrade" dentro del directorio "htdocs" (se mantiene fuera porque es innecesario para la instalación completa) 2. Elimine htdocs/mainfile.php, y htdocs/install 3. Suba el contenido del directorio htdocs sobreescribiendo lo anterior 4. Acceda a <url.del.sitio>/upgrade/ desde el navegador 5. Siga las instrucciones para actualizar su base de datos 6. Elimine el directorio upgrade Actualizando desde cualquier de las versiones compendidas entre 2.0.7 y 2.0.13.2 (usando el paquete completo): 1. Desplace el directorio "upgrade" dentro del directorio "htdocs" (se mantiene fuera porque es innecesario para la instalación completa) 2. Elimine htdocs/mainfile.php, y htdocs/install 3. Suba el contenido del directorio htdocs sobreescribiendo lo anterior 4. Elimine los siguientes directorios y archivos del servidor (pertenecen a una verisón anterior): * class/smarty/core * class/smarty/plugins/resource.db.php 5. Vacíe el directorio templates_c (excepto index.html) 6. Asegúrese de que mainfile.php es escribible por el servidor. 7. Acceda a <url.del.sitio>/upgrade/ desde el navegador 8. Proteja contra escritura el archivo mainfile.php de nuevo 9. Elimine el directorio upgrade una vez utilizado 10. Actualice el módulo "sistema" desde el administrador de módulos Comprobación de integridad de archivos El paquete completo de XOOPS ahora incluye un script cabaz de comprobar la integridad de su archivos subidos al servidor. Siga las siguientes instrucciones: 1. Suba los archivos xoops_md5.php y xoops.md5 localizados en el directorio raíz del paquete de XOOPS a su carpeta Xoops. 2. Inicicie desde su navegador xoops_md5.php 3. Si fuese necesario, vuelva a subir los archivos no presentes o corruptos 4. Elimine xoops_md5.php y xoops.md5 del servidor una vez concluidas las comprobaciones 5. Considere que los archivos traducidos al español y las imágenes sustituidas por las originales darán error en el paquete español. Mostrando informe de la página en blanco XOOPS muestra un error básico cuando encuentra un error grave y no puede iniciarse. Para ayudarle a diagnósticar la causa del error, esta página contiene mensajes adicionales que son ocultados por defecto. Para revelarlos, elije en su navegador "seleccionar todo" o bien pulse Ctrl+A. Acceso a plantillas no soportado Nos hemos percatado de que algunos módulos contienen una modificación que les permite la ejecución y acceso directo a las tablas de las plantillas/bloques directamente omitiendo el procedimiento regular de declaración de plantillas. Debido a ello, algunos cambios han sido aplicados al sistema de plantillas que podría originar el no acceso de algunos módulos a dicho mecanismo. Si usa uno de estos módulos, deberá solucionar el problema reemplazando el archivo resource.db.php localizado en el directorio class/smarty/xoops_plugins/ por el que se incluye en el directorio extras del paquete Xoops. Por favor, entienda que en futuras versiones este mecanismo no será soportado y por tanto dichos módulos dejarán de ser funcionales sin los oportunos cambios. Módulos Los paquetes no contienen ningún módulo aparte del módulo Sistema. Le sugerimos consultar nuestro repositorio para encontrar los módulos adecuados. Algunos de los mejores módulos pueden ser localizados en las siguientes direcciones: * Herve Thouzard (News, mydownload, shortcuts... http://www.herve-thouzard.com/ ) * Panther Software Publishing (xProject, xStreamer, xAsset http://xprojects.co.uk/ ) * Smart Factory (SmartSection and many others http://www.smartfactory.ca/ ) * XForge site (CBB forum, Wordpress, MediaWiki... http://www.xoopsforge.com/ ) También recomendamos la instalación del módulo Protector de Gijoe. Su sistema será mucho más seguro.
Change Log
Dependencies